project(ExempleGenerationDoc)
cmake_minimum_required(VERSION 2.8)

#si vous allez voir dans le dossier build/doc, vous allez trouver le fichier index.html
configure_file(index.html.cmake index.html)

#on installe les dossier html et man
install(DIRECTORY html DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ExempleGenerationDoc/doc)
install(DIRECTORY man DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ExempleGenerationDoc/doc)

#on fait attention de ne pas installer le index.html.cmake, ça ne sert à rien
#il faut bien mettre ${CMAKE_CURRENT_BINARY_DIR}/index.html sinon CMake ne trouve pas le fichier
#il ne faut pas mettre ${CMAKE_CURRENT_BINARY_DIR}/doc/index.html car CMake ne trouve pas le fichier
set(docDeBase ${CMAKE_CURRENT_BINARY_DIR}/index.html style.css)

install(FILES ${docDeBase} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ExempleGenerationDoc/doc)



